import { isNormal, isInsert } from '../parse';
export function getChangeKey(change) {
    if (!change) {
        throw new Error('change is not provided');
    }
    if (isNormal(change)) {
        return `N${change.oldLineNumber}`;
    }
    const prefix = isInsert(change) ? 'I' : 'D';
    return `${prefix}${change.lineNumber}`;
}
export function getChangeLineNum(change) {
    if (!change) {
        throw new Error('change is not provided');
    }
    if (isNormal(change)) {
        return change.oldLineNumber;
    }
    return change.lineNumber;
}
export function needBeNewFile(change) {
    if (!change) {
        throw new Error('change is not provided');
    }
    if (isNormal(change)) {
        return true;
    }
    const prefix = isInsert(change) ? 'I' : 'D';
    return prefix.startsWith('I');
}
//# sourceMappingURL=getChangeKey.js.map